
# Garage

## Installation

### Main app

Create app

    dokku apps:create objstorage

Setup internal network

    dokku network:create objstorage_net
    dokku network:set code attach-post-create objstorage_net

Setup proxy

    dokku proxy:ports-clear objstorage

Setup storage

    dokku storage:mount objstorage /var/lib/dokku/data/storage/cloud/apps:/var/www/html/apps

Deploy image

    dokku git:from-image automation glenux/service-garage:xxxx

### Web relay

Create app

    dokku apps:create objstorage-web

Setup domain

    dokku domains:add objstorage-web web.apps.example.com
    dokku domains:add objstorage-web *.web.apps.example.com

Setup TLS

    dokku config:set --no-restart objstorage-web DOKKU_LETSENCRYPT_EMAIL=username@example.com
    dokku letsencrypt:enable objstorage-web

Configure docker options

    dokku config:set objstorage-web DOKKU_DOCKERFILE_START_CMD="FIXME: command for socat"

Deploy image

    dokku git:from-image automation alpine/socat:xxxx

### S3 relay

Create app

    dokku apps:create objstorage-s3

Setup domain

    dokku domains:add objstorage s3.apps.example.com
    dokku domains:add objstorage *.s3.apps.example.com

Setup TLS

    dokku config:set --no-restart objstorage DOKKU_LETSENCRYPT_EMAIL=username@example.com
    dokku letsencrypt:enable objstorage-s3

Configure docker options

    dokku config:set objstorage-web DOKKU_DOCKERFILE_START_CMD="FIXME: command for socat"

Deploy image

    dokku git:from-image automation alpine/socat:xxxx


